#  Minder: Simple Calendaring System
#  Copyright (C) 2015 Adam Hartz
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License along
#  with this program; if not, write to the Free Software Foundation, Inc.,
#  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

# Utilities for maintaining the cache

import os

from minder.util import CONFIG_LOCATION, unix_timestamp, from_unix_timestamp

LAST_RUN = os.path.join(CONFIG_LOCATION, 'last_run')


def get_last_run():
    if not os.path.isfile(LAST_RUN):
        return None
    with open(LAST_RUN) as f:
        text = f.read()
    return from_unix_timestamp(text)


def set_last_run(x):
    with open(LAST_RUN, 'w') as f:
        f.write(unix_timestamp(x))
